Skip to main content
GET
/
jobs
List jobs
curl --request GET \
  --url https://api.rendobar.com/jobs
{
  "data": [
    {
      "id": "<string>",
      "orgId": "<string>",
      "userId": "<string>",
      "batchId": "<string>",
      "type": "<string>",
      "status": "<string>",
      "providerId": "<string>",
      "providerType": "<string>",
      "providerRunId": "<string>",
      "aiPattern": "<string>",
      "inputs": "<string>",
      "params": "<string>",
      "outputRef": "<string>",
      "outputMeta": "<string>",
      "errorCode": "<string>",
      "errorMessage": "<string>",
      "logsRef": "<string>",
      "stepsJson": "<string>",
      "mediaType": "<string>",
      "price": 0,
      "providerCost": 0,
      "infraCost": 0,
      "margin": 0,
      "estimatedPrice": 0,
      "pipelineId": "<string>",
      "pipelineNodeId": "<string>",
      "createdAt": 0,
      "dispatchedAt": 0,
      "startedAt": 0,
      "completedAt": 0,
      "retryCount": 0,
      "apiTotalMs": 0,
      "apiPrechecksMs": 0,
      "apiValidationMs": 0,
      "apiDbInsertMs": 0,
      "apiDispatchMs": 0,
      "execDownloadMs": 0,
      "execExecuteMs": 0,
      "execUploadMs": 0,
      "queueWaitMs": 0,
      "consumerTotalMs": 0,
      "billingReconciledAt": 0,
      "outputUrl": "<string>"
    }
  ],
  "meta": {
    "total": 123,
    "page": 123,
    "limit": 123
  }
}

Query Parameters

status
enum<string>

Filter by job status

Available options:
waiting,
dispatched,
running,
complete,
failed,
cancelled
type
string

Filter by job type (e.g., watermark.apply)

limit
string

Page size (default 50, max 100)

Example:

"50"

offset
string

Pagination offset (default 0)

Example:

"0"

Response

List of jobs

data
object[]
required
meta
object
required